Endurance

Stick tables

A stick table holds the entries that make a Layer 7 service persistent, so a client keeps returning to the same Real Server.

By ID

GET /ipvsDirector/sticktable/{id}

Get all entries from a stick table

Path parameters
id string Required

The id of the sticktable.

curl
curl -X GET "https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.get("https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "uid": "111-111-111-111",
  "message": "Stick table data retrieved successfully",
  "data": {
    "id": "222-222-222-222",
    "elements": [
      {
        "key": "10.0.0.1 . 10.10.10.10 . 80",
        "mark": 1,
        "expires": "3d1h5m10s",
        "clientIp": "10.10.10.10",
        "serviceIp": "10.0.0.1",
        "servicePort": 80
      }
    ]
  }
}

DELETE /ipvsDirector/sticktable/{id}

Remove all entries from a stick table

This change is staged. Send PUT /services/apply to apply it.

Path parameters
id string Required

The id of the sticktable.

curl
curl -X DELETE "https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'DELETE',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.delete("https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}', {
  method: 'DELETE',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "uid": "111-111-111-111",
  "message": "Stick table cleared successfully",
  "data": []
}

Delete a Layer 4 stick table entry

DELETE /ipvsDirector/sticktable/{id}/{key}

Remove an entry from a stick table

This change is staged. Send PUT /services/apply to apply it.

Path parameters
id string Required

The id of the sticktable.

key string Required

The stick table key of the entry to remove.

curl
curl -X DELETE "https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}/{key}" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}/{key}';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'DELETE',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.delete("https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}/{key}", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/ipvsDirector/sticktable/{id}/{key}', {
  method: 'DELETE',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "uid": "111-111-111-111",
  "message": "Stick table entry removed successfully",
  "data": []
}